#!/usr/bin/env python

#
# This file is part of the `networkcommons` Python module
#
# Copyright 2024
# Heidelberg University Hospital
#
# File author(s): Saez Lab (omnipathdb@gmail.com)
#
# Distributed under the GPLv3 license
# See the file `LICENSE` or read a copy at
# https://www.gnu.org/licenses/gpl-3.0.txt
#

"""
Representation of molecular interaction networks.

The `Network` object represents a graph of molecular interactions with custom
node and edge attributes and metadata. It is a central piece of the
`networkcommons` package, and integrates virtually all the functionalities
provided.
"""

from ._network import *
